# $Id$
# Authority: dag

%define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')

%define real_name pysphere

Summary: Python API for interaction with the vSphere Web Services SDK
Name: python-sphere
Version: 0.1.7
Release: 1%{?dist}
License: GPLv3
Group: Development/Languages
URL: http://code.google.com/p/pysphere/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://pysphere.googlecode.com/files/pysphere-%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: python-devel >= 2.4

%description
Among other operations, this api allows the user to:

 - Connect to VMWare's ESX, ESXi, Virtual Center, Virtual Server hosts
 - Query hosts, datacenters, resource pools, virtual machines
 - VM: Power on, power off, reset, revert to snapshot, get properties,
   update vmware tools
 - vSphere 5.0 Guest Operations: create/delete/move files and directories.
   Upload/download files from the guest system. List/start/stop processes
   in the guest system.
 - Create and delete snapshots
 - Hosts statistics and performance monitoring
 - It's built upon a slightly modified version of ZSI (that comes bundled-in)
   which makes it really fast in contrast to other python SOAP libraries that
   don't provide code generation.

%prep
%setup -n %{real_name}-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root="%{buildroot}" --prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGES README
%{python_sitelib}/pysphere/
%{python_sitelib}/pysphere-%{version}-py*.egg-info/

%changelog
* Thu Oct 04 2012 Dag Wieers <dag@wieers.com> - 0.1.7-1
- Updated to release 0.1.7.

* Thu Sep 06 2012 Dag Wieers <dag@wieers.com> - 0.1.6-1
- Initial package. (using DAR)
